<mat-sidenav-container class="example-container">
  <mat-sidenav mode="side" opened>
    <mat-list>
      <mat-list-item routerLink='/rxjs' [routerLinkActive]="['active']" [routerLinkActiveOptions]="{ exact: true }"> RxJS </mat-list-item>
      <mat-list-item routerLink='/rxjs/home' [routerLinkActive]="['active']" [routerLinkActiveOptions]="{ exact: true }">RxJS Home</mat-list-item>
      <mat-list-item routerLink='/rxjs/operators' [routerLinkActive]="['active']" [routerLinkActiveOptions]="{ exact: true }">Operators Children</mat-list-item>
    </mat-list>
  </mat-sidenav>
  <mat-sidenav-content>
    <router-outlet></router-outlet>
  </mat-sidenav-content>
</mat-sidenav-container>